Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.index
Class MultiDocValues.MultiSortedDocValues

    java.lang.Object
      org.apache.lucene.index.BinaryDocValues
          org.apache.lucene.index.SortedDocValues
              org.apache.lucene.index.MultiDocValues.MultiSortedDocValues

Enclosing class:
  MultiDocValues

    public static class MultiDocValues.MultiSortedDocValues

extends SortedDocValues

Implements SortedDocValues over n subs, using an OrdinalMap

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

Field Summary
`int[]` | `docStarts` docbase for each leaf: parallel with `values`
`MultiDocValues.OrdinalMap` | `mapping` ordinal map mapping ords from `values` to global ord space
`SortedDocValues[]` | `values` leaf values

Fields inherited from class org.apache.lucene.index.SortedDocValues
`EMPTY`

Fields inherited from class org.apache.lucene.index.BinaryDocValues
`MISSING`

Method Summary
`int` | `getOrd(int docID)` Returns the ordinal for the specified docID.
`int` | `getValueCount()` Returns the number of unique values.
`void` | `lookupOrd(int ord, BytesRef result)` Retrieves the value for the specified ordinal.

Methods inherited from class org.apache.lucene.index.SortedDocValues
`get, lookupTerm, termsEnum`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### docStarts

    public final int[] docStarts

  docbase for each leaf: parallel with `values`

### values

    public final SortedDocValues[] values

  leaf values

### mapping

    public final MultiDocValues.OrdinalMap mapping

  ordinal map mapping ords from `values` to global ord space

Method Detail

### getOrd

    public int getOrd(int docID)

  Description copied from class: `SortedDocValues`
  Returns the ordinal for the specified docID.

  Specified by:
    `getOrd` in class `SortedDocValues`
  Parameters:
    `docID` - document ID to lookup
  Returns:
    ordinal for the document: this is dense, starts at 0, then increments by 1 for the next value in sorted order.

### lookupOrd

    public void lookupOrd(int ord,
                          BytesRef result)

  Description copied from class: `SortedDocValues`
  Retrieves the value for the specified ordinal.

  Specified by:
    `lookupOrd` in class `SortedDocValues`
  Parameters:
    `ord` - ordinal to lookup
    `result` - will be populated with the ordinal's value
  See Also:
    `SortedDocValues.getOrd(int)`

### getValueCount

    public int getValueCount()

  Description copied from class: `SortedDocValues`
  Returns the number of unique values.

  Specified by:
    `getValueCount` in class `SortedDocValues`
  Returns:
    number of unique values in this SortedDocValues. This is also equivalent to one plus the maximum ordinal.

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.